@echo off

set ADBBINARY=".\adb.exe"
set FASTBOOTBINARY=".\fastboot.exe" 
set SLEEPBINARY=".\sleep.exe"

cd files

echo.
echo.
echo Connect your device with your computer and prepare to UN-ROOT
echo.
echo !!! DO NOT DISCONNECT USB CABLE WHILE UN-ROOTING !!!
echo.
echo.
pause

%ADBBINARY% wait-for-devices

echo.
echo.
echo Check if Xposed is installed ..
echo.
echo.
for /f "tokens=*" %%i in ('%ADBBINARY% shell ls /system/bin/app_process32_xposed') do set CHECK_EXPOSED=%%i
echo "%CHECK_EXPOSED%" | findstr /C:"No such" > nul
if %ERRORLEVEL% EQU 0 (
  echo Xposed not installed, continue ..
  goto :do_flash
)

echo This will remove Xposed Framework, you may re-install later
echo.
set choice=
set /p choice="Press Y to continue [y/N] "
if /I "%choice%" == "Y" goto :do_flash 
goto :end

:do_flash
%ADBBINARY% reboot bootloader
%SLEEPBINARY% 30

echo.
echo.
echo Removing root, please be patient ..
echo.
echo.
%FASTBOOTBINARY% flash /system/bin/resize2fs magic
%FASTBOOTBINARY% flash /system/bin/tune2fs busybox
%FASTBOOTBINARY% oem start_partitioning
%FASTBOOTBINARY% flash /system/bin/logcat uninstaller
%FASTBOOTBINARY% oem stop_partitioning
%SLEEPBINARY% 2

echo.
echo.
echo All done, your device is UN-ROOT :)
echo by shakalaca (http://23pin.logdown.com)
echo.
echo.
%FASTBOOTBINARY% reboot
pause

:end
cd ..
